Version 6.7.7 Source

Table Name: `tabC-Form`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `column_break0` | Column Break |  |
2 | `naming_series` | Select | Series |
    C-FORM-
3 | `c_form_no` | Data | C-Form No |
4 | `received_date` | Date | Received Date |
5 | `customer` | Link | Customer | Customer
6 | `column_break1` | Column Break |  |
7 | `company` | Link | Company | Company
8 | `fiscal_year` | Link | Fiscal Year | Fiscal Year
9 | `quarter` | Select | Quarter |
    I
    II
    III
    IV
10 | `total_amount` | Currency | Total Amount |
    Company:company:default_currency
11 | `state` | Data | State |
12 | `section_break0` | Section Break |  |
13 | `invoices` | Table | Invoices | C-Form Invoice Detail
14 | `total_invoiced_amount` | Currency | Total Invoiced Amount |
    Company:company:default_currency
15 | `amended_from` | Link | Amended From | C-Form

### Controller

#### erpnext.accounts.doctype.c_form.c_form

### Class CForm

Inherits from frappe.model.document.Document

before_cancel (self)

No docs

get_invoice_details (self, invoice_no)

    Pull details from invoices for referrence

on_submit (self)

No docs

on_update (self)

    Update C-Form No on invoices

set_cform_in_sales_invoices (self)

No docs

set_total_invoiced_amount (self)

No docs

validate (self)

Validate invoice that c-form is applicable and no other c-form is received for that

#### Linked In:

- C-Form
- Sales Invoice